<template>
  <div class="root">
    <Header @activeBtn="isActive = $event" />
    <main :class="{ blur: isActive }">
      <section class="text">
        <div class="content">
          <p
            class="hi animate__animated animate__fadeInTopLeft animate__delay__fast"
          >
            Ողջույն
          </p>
          <p class="blog animate__animated animate__fadeIn animate__delay-1s">
            Սա Արևիկ Սահակյանի բլոգն է։
          </p>
          <p
            class="ntext animate__animated animate__fadeInUp animate__delay-1s"
          >
            Այստեղ դուք կարող եք․․․
          </p>
        </div>
      </section>
      <section class="news">
        <div class="newscont">
          <div class="know">
            <span>Իմանալ</span>
            <span>տարաբնույթ</span>
          </div>
          <div class="nabout">
            <span>նորությունների</span>
            <span>մասին</span>
          </div>
        </div>
        <a href="/news" class="btn effect01">News</a>
      </section>
      <section class="library">
        <a href="/library" class="btn effect01">Library</a>
        <div class="libcont">
          <div class="lib1">
            <span>Կարդալ</span>
            <span>և</span>
          </div>
          <span>ներբեռնել</span>
          <span>գրքեր</span>
        </div>
      </section>
      <section
        ref="slideImg"
        class="films animate__animated animate-duration: 3s"
        :style="{ background: 'url(' + require('@/assets/' + image) + ')' }"
      >
        <div class="fcont">
          <div class="fil1">
            <span>Դիտել</span>
          </div>
          <span>հետաքրքիր</span><span>ֆիլմեր</span>
        </div>
        <a href="/films" class="btn effect01 fcont">Films</a>
      </section>
      <section class="edu">
        <div class="econt">
          <span>Եվ սա դեռ ամենը չէ</span>
          <!-- <div class="ebox">
            <p>Մասնակցել բանավեճերին և քննարկումներին անանուն տարբերակով</p>
            <p>Շբվել ընկերների հետ գաղտնիության համակարգով</p>
            <p>
              Կայքի նպատակն է լինել այն հարթակը որը կնպաստի ձեր զարգացմանը և
              առաջընթացին
            </p>
            <p>Կայքում լինելու են բազում անակնկալներ և նվերներ</p>
          </div> -->
        </div>
      </section>
    </main>
    <footer id="footer">
      <p>2020</p>
    </footer>
    <router-view />
  </div>
</template>
<script>
import Header from "../Header/header";
import gsap from "gsap";
import { ScrollTrigger } from "gsap/ScrollTrigger";

export default {
  name: "Mycomponent",
  components: {
    Header,
  },
  data() {
    return {
      isActive: false,
      image: "film.jpg",
      imgs: [
        "film_4.jpg",
        "film_3.jpg",
        "film_2.jpg",
        "film_1.jpg",
        "film.jpg",
      ],
    };
  },
  mounted() {
    gsap.registerPlugin(ScrollTrigger);
    const mq = window.innerWidth;
    if (mq > 1023) {
      gsap.utils.toArray("section").forEach((section, i) => {
        if (i) {
          section.style.backgroundPosition = `50% ${-innerHeight / 2}px`;
          gsap.to(section, {
            backgroundPosition: `50% ${innerHeight / 2}px`,
            ease: "none",
            scrollTrigger: {
              trigger: section,
              scrub: true,
            },
          });
        } else {
          section.style.backgroundPosition = "50% 0px";
          gsap.to(section, {
            backgroundPosition: `50% ${innerHeight / 2}px`,
            ease: "none",
            scrollTrigger: {
              trigger: section,
              start: "top top",
              end: "bottom top",
              scrub: true,
            },
          });
        }
      });
    }
  },
  methods: {
    nextHeadline(index) {
      this.image = this.imgs[index];
      setTimeout(
        this.nextHeadline.bind(undefined, (index + 1) % this.imgs.length),
        7000
      );
    },
  },
  beforeMount() {
    this.nextHeadline(0);
  },
  watch: {
    image() {
      this.$refs["slideImg"].classList.add("animate__fadeIn");
      setTimeout(() => {
        this.$refs["slideImg"].classList.remove("animate__fadeIn");
      }, 4000);
    },
  },
};
</script>
<style lang="scss">
@import "home.scss";
</style>